import { escape } from "html-escaper";
const escapeHTML = escape;
class HTMLString extends String {
}
const markHTMLString = (value) => {
  if (value instanceof HTMLString) {
    return value;
  }
  if (typeof value === "string") {
    return new HTMLString(value);
  }
  return value;
};
function unescapeHTML(str) {
  if (!!str && typeof str === "object" && typeof str.then === "function") {
    return Promise.resolve(str).then((value) => {
      return markHTMLString(value);
    });
  }
  return markHTMLString(str);
}
export {
  HTMLString,
  escapeHTML,
  markHTMLString,
  unescapeHTML
};
